FINSIO(4)

NAME
finsio - Fintek LPC Super I/O driver

SYNOPSIS
finsio0 at isa? port 0x4e

DESCRIPTION
The finsio driver provides support for the Fintek F71805F, F71806F, F71862FG, F71872, F71882 and F71883 LPC Super I/O chips.

Only the Hardware Monitor device is supported and it provides you to monitor the sensors through the envsys(4) API.

The finsio Super I/O Hardware Monitor supports 15 sensors (this depends on the chip ID):
Sensor | Units | Typical Use
IN0 | uV DC | Internal 3.3Vcc
IN1 | uV DC | Memory Vtt
IN2 | uV DC | RAM Vcc
IN3 | uV DC | Chipset V
IN4 | uV DC | +5V
IN5 | uV DC | +12V
IN6 | uV DC | Vcc 1.5V
IN7 | uV DC | Vcore
IN8 | uV DC | Vsb
IN9 | uV DC | Vbat (optional)
Temp1 | uK | CPU Temperature
Temp2 | uK | Motherboard Temperature
Temp3 | uK | (undefined)
Fan0 | RPM | CPU Fan
Fan1 | RPM | User Fan1
Fan2 | RPM | User Fan2

SEE ALSO
envsys(4), envstat(8)

HISTORY
The finsio driver first appeared in NetBSD 5.0.

AUTHORS
-nosplit The finsio driver was written by Geoff Steckel and Juan Romero Pardines.